--- title: "getContractUsageListByDaily" slug: "platform-costandusage-getcontractusagelistbydaily" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/platform-costandusage-getcontractusagelistbydaily" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getContractUsageListByDaily Available in Classic and VPC View daily service usage based on the set period. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET, POST | /cost/getContractUsageListByDaily | ### Request headers For headers common to all Cost and usage APIs, see [Cost and usage common headers](/docs/en/platform-costandusage#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number | | `pageSize` | Integer | Optional | Page size - 1000 or less (default: 1000) | | `isOrganization` | Boolean | Optional | Whether to view consolidated usage for organization service accountsAvailable to masters onlyAn error is returned if both `isOrganization` and `isPartner` are `true` | | `isPartner` | Boolean | Optional | Whether to view partner accounts - Available to partner representatives only - An error is returned if both `isOrganization` and `isPartner` are `true` | | `memberNoList` | List | Optional | Member ID list - Only available to master or partner representatives | | `contractNo` | String | Optional | Contract number | | `useStartDay` | String | Required | Query start date (yyyyMMdd) - Up to 3 months viewable - 20240101 | | `useEndDay` | String | Required | Query end date (yyyyMMdd) - Up to 3 months viewable - 20240331 | | `contractTypeCode` | String | Optional | Contract type code | | `productItemKindCode` | String | Optional | Service item type code | | `regionCode` | String | Optional | Region code - Check through the [getRegionList](/docs/en/platform-region-getregionlist) action | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://billingapi.apigw.ntruss.com/billing/v1/cost/getContractUsageListByDaily?useStartDay=20240101&useEndDay=20240131&responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [ContractUsageListByDaily](/docs/en/common-vapidatatype-contractusagelistbydaily#%ED%95%84%EB%93%9C) for the response body. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "getContractUsageListByDailyResponse": { "totalRows": 47, "contractUsageListByDaily": [ { "account": { "memberNo": "2760000" }, "useDate": { "useStartDate": "2024-01-09T00:00:00+0900", "useEndDate": "2024-01-09T23:59:59+0900" }, "contract": { "contractNo": "15430000", "conjunctionContractNo": "", "contractType": { "code": "SVR", "codeName": "Server" }, "contractStatus": { "code": "NLEND", "codeName": "Normal termination" }, "contractStartDate": "2024-01-09T11:40:50+0900", "contractEndDate": "2024-01-24T11:35:45+0900", "instanceName": "s18cec180a45", "regionCode": "KR", "platformType": {} }, "contractProduct": { "contractProductSequence": "1", "beforeContractProductSequence": "", "productCode": "SPSVRSSD00000003", "priceNo": "327", "promiseNo": "", "instanceNo": "22010000", "productItemKind": { "code": "SVR", "codeName": "Server" }, "productRatingType": { "code": "SVR", "codeName": "Server Usage" }, "serviceStatus": { "code": "END", "codeName": "Termination" }, "serviceStartDate": "2024-01-09T11:40:50+0900", "serviceEndDate": "2024-01-24T11:35:45+0900", "productSize": 0, "productCount": 0 }, "usage": { "meteringType": { "code": "SVR", "codeName": "Server Usage" }, "usageQuantity": 44124, "unit": { "code": "USAGE_SEC", "codeName": "Usage time (per second)" }, "userUsageQuantity": 12.256667, "userUnit": { "code": "HOUR", "codeName": "Hour(s)" } } }, // (Omitted) ], "requestId": "000000a0-a570-46ad-a8f9-bdc25c000000", "returnCode": "0", "returnMessage": "success" } } ```